## org.python.core.util
Class ExtraMath

    java.lang.Object
      org.python.core.util.ExtraMath

    public class ExtraMath

extends Object

A static utility class with two additional math functions.

Field Summary
`static double` `CLOSE`
`static double` `EPSILON`

Constructor Summary
`ExtraMath()`

Method Summary
`static boolean` `close(double v, double w)`
`static boolean` `close(double v, double w, double tol)` Are v and w "close" to each other?
`static double` `closeFloor(double v)` Returns floor(v) except when v is very close to the next number, when it returns ceil(v);

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EPSILON

    public static double EPSILON

### CLOSE

    public static double CLOSE

Constructor Detail

### ExtraMath

    public ExtraMath()

Method Detail

### close

    public static boolean close(double v,
                                double w,
                                double tol)

  Are v and w "close" to each other? Uses a scaled tolerance.

### close

    public static boolean close(double v,
                                double w)

### closeFloor

    public static double closeFloor(double v)

  Returns floor(v) except when v is very close to the next number, when it returns ceil(v);

Jython homepage